#
# spec file for package libxml2 (Version 2.4.12)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake readline readline-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl readline-devel rpm

Name:         libxml2
%define prefix      %{_prefix}
%define sysconfdir  %{_sysconfdir}
%define prefixgnome /opt/gnome
License:      X11/MIT
Group:        System/Libraries
Autoreqprov:  on
Summary:      Library to manipulate XML files (version 2)
Version:      2.4.12
Release:      121
Source:       ftp://ftp.xmlsoft.org/pub/libxml/%{name}-%{version}.tar.bz2
# ftp://ftp.gnome.org/pub/GNOME/stable/sources/libxml/%{name}-%{version}.tar.bz2
Source1:      %{name}-README.SuSE
# Patch: libxml2-configure.dif
Patch1:       libxml2-no-example.diff
Patch2:       nanohttp.2.4.12.diff
Patch3:       nanoftp.2.4.12.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://xmlsoft.org

%description
Version 2 of libxml.


XML is said to be the upcoming standard file format of the World Wide Web.


Many applications use libxml to load and save extensible datastructures
and the new webformat.

Authors:
--------
    Daniel Veillard <Daniel.Veillard@imag.fr>
    Alejandro Forero <bachue@bachue.com>
    Chris Lahey <clahey@umich.edu>
    Christopher Blizzard <blizzard@appliedtheory.com>
    James Henstridge <james@daa.com.au>
    Jody Goldberg <jgoldberg@home.com>
    Manish Vachharajani <mvachhar@vger.rutgers.edu>
    Martin Baulig <baulig@suse.de>
    Michael Meeks <michael@edenproject.org>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Nuno Ferreira <nmrf@rnl.ist.utl.pt>
    Raja R Harinath <harinath@cs.umn.edu>
    Ramiro Estrugo <ramiro@eazel.com>
    Raph Levien <raph@acm.org>
    Sven Heinicke <sven@zen.org>
    Timur Bakeyev <mc@bat.ru>
    Tomasz Koczko <kloczek@pld.org.pl>
    Tom Tromey <tromey@cygnus.com>

SuSE series: d

%package  devel
Summary:      libxml development package
Group:        Development/Libraries/C and C++
Autoreqprov:  on
Requires:     %{name}

%description devel
Libraries and includes to compile applications that use the libxml2.

Authors:
--------
    cf. libxml2.

SuSE series: d

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
# %patch0 -p0
%patch1 -p1
# %patch2 -p1
%patch -P 2 -p 0 -P 3 -p 0
%{INSTALL_DATA} %{SOURCE1} README.SuSE

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
LIBS="-L/usr/X11R6/%_lib" \
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
                                    --sysconfdir=%sysconfdir \
                                    --mandir=%{_mandir} \
				    --libdir=%_libdir
#                                    --with-html-dir=%{prefix}/doc/packages/libxml
# libz lives at /usr/X11R6/%_lib
make XML_LIBDIR="-L/usr/%_lib -L/usr/X11R6/%_lib"

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT \
     XML_LIBDIR="-L/usr/%_lib -L/usr/X11R6/%_lib" install
# (cd doc && make install-docdataDATA prefix=$RPM_BUILD_ROOT%{prefix} \
#                 HTML_DIR=$RPM_BUILD_ROOT%{prefix}/doc/packages/libxml)
%{INSTALL_DIR} $RPM_BUILD_ROOT%{prefixgnome}/%_lib
pushd $RPM_BUILD_ROOT%{prefixgnome}/%_lib
ln -s ../../../%_libdir/xml2Conf.sh .
popd
pushd $RPM_BUILD_ROOT%{prefix}/include
ln -s libxml2/libxml libxml
popd
chmod +x $RPM_BUILD_ROOT%_libdir/lib*.so.*
/sbin/ldconfig -n $RPM_BUILD_ROOT%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB TODO
%_libdir/lib*.so.*
%{_bindir}/xmllint
%{_bindir}/xmlcatalog
%doc %{_mandir}/*/*

%files devel
%defattr(-, root, root)
%doc README.SuSE
%doc doc/*.{html,gif}
%doc doc/html
%doc example
%_libdir/lib*.so
%_libdir/*a
%_libdir/*.sh
%{_bindir}/xml2-config
%{prefix}/include/libxml2
%{_libdir}/pkgconfig
%{prefixgnome}/%_lib/*.sh
%{_datadir}/aclocal/libxml.m4

%changelog -n libxml2
* Tue Feb 17 2004 - ke@suse.de
- Fix buffer overflows discovered in the FTP and HTTP URL parsing code
  (backported from CVS head by Thomas Biege). [# 34572]
* Mon Feb 11 2002 - coolo@suse.de
- use %%_lib and %%_libdir
* Mon Jan 14 2002 - hhetter@suse.de
- updated to version 2.4.12
  * a few bug fixes: thread,  xmllint , XML parser
  XPointer , I/O cleanups
  * portability improvements
  * some makefiles cleanups
* Tue Nov 27 2001 - ke@suse.de
- Update to version 2.4.11; NEWS from http://xmlsoft.org/ (include some
  items not mentioned earlier):
- Fix errors and bug (mostly include files related).
- Fix URI escaping, namespace handling problems when using DTD and
  validation, paths or XPointers generation.
- Improve xmllint.
- Fix HTML parser.
* Sun Nov 11 2001 - adrian@suse.de
- Update to version 2.4.10:
- Bugfix / Cleanup release.
* Wed Nov 07 2001 - ke@suse.de
- Update to version 2.4.9:
- Fix XML and SGML catalog handling.
- Drop libxml2-makefile-am.diff; is obsolete.
* Mon Nov 05 2001 - ke@suse.de
- Update to version 2.4.8; NEWS from http://xmlsoft.org/:
- Fix SGML catalog support.
- Update xmlcatalog tool.
- Apply libxml2-makefile-am.diff on account of automake 1.5 (multiply
  set variables).
* Wed Oct 31 2001 - ke@suse.de
- Update to version 2.4.7; NEWS from http://xmlsoft.org/:
- Serious rewrite of the catalog code.
- Integrate thread safety patch.
- Bug fixes: HTML parser, potentially serious validation issues and
  general bug fixes.
- Integrate the SGML DocBook support in xmllint; update manpage.
- Change nanoftp anonymous login passwd.
- Some I/O cleanup and a couple of interfaces for Perl wrapper.
* Thu Oct 11 2001 - ke@suse.de
- Compatibility link for SuSE Linux 7.3 and earlier:
  /usr/include/libxml -> libxml2/libxml
  (will go away on version 8.0); cf. [#11709].
- Add README.SuSE.
* Thu Oct 11 2001 - ke@suse.de
- Update to version 2.4.6; NEWS from http://xmlsoft.org/:
- Add and update man pages.
- Portability and configure fixes.
- Fix an infinite loop on the HTML parser.
- Fix half a dozen bugs reported for libxml or libxslt.
- Update xmlcatalog to be able to modify SGML super catalogs.
- Note, starting with 2.4.5 includes were moved to
  /usr/lib/libxml2/libxml; use 'xml2-config' to locate these files
  (cf. http://mail.gnome.org/archives/xml/2001-October/msg00069.html)
  [#11709].
* Mon Oct 01 2001 - ke@suse.de
- Update to version 2.4.5; NEWS from http://xmlsoft.org/ :
- Bugfixes and some portability changes.
- Force the HTML serializer to output decimal charrefs since some
  version of Netscape can't handle hexadecimal ones.
- Add --convert to xmlcatalog, bug fixes and cleanups of XML Catalog.
- Some documentation cleanups.
- Drop obsolete configure patch.
* Fri Aug 24 2001 - ke@suse.de
- Update to version 2.4.3; from the announcement (cf. libxslt):
- Implement XML Catalog Specification from August 6:
  http://www.oasis-open.org/committees/entity/spec-2001-08-06.html
  http://xmlsoft.org/catalog.html
- New NaN and Infinity code.
- A number of small bugfixes.
* Fri Aug 17 2001 - ro@suse.de
- re-enabled suse_update_config and added autoconf/automake
  sequence.
* Fri Aug 17 2001 - ke@suse.de
- Update to version 2.4.2.
- Drop suse_update_config (seems to confuse auto* at the moment).
* Fri Aug 10 2001 - kukuk@suse.de
- Revert change to ldconfig call
* Thu Jul 26 2001 - ke@suse.de
- Update to version 2.4.1
- Call 'ldconfig' only for UID = 0.
* Wed Jul 11 2001 - ke@suse.de
- Update to version 2.4.0.
- Call 'ldconfig' during build (as required by SuSE Package
  Conventions).
* Wed Jul 04 2001 - adrian@suse.de
- xml2-config --cflags will not output -I/usr/include anymore
  this causes compilation failures with gcc3 due to the wrong
  include path order
* Fri Jun 29 2001 - ke@suse.de
- Update to version 2.3.13.
- Apply libxml2-no-example.diff not to try to compile the "example".
* Mon May 21 2001 - ke@suse.de
- Update to version 2.3.9
* Sat Apr 14 2001 - adrian@suse.de
- update to 2.3.6
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 15 2001 - ke@suse.de
- Initial package: version 2.3.0 [#2861].
